RubyGems Navigation menu

sambot 0.1.229

# Sambot Sambot is our internal Platform Engineering toolchain to help standardize and simplify our DevOps workflow. It provides an executable with a variety of commands, grouped in various areas of functionality such as session management, DNS changes and cookbook management. ## Usage To install the gem, simply run `chef gem install sambot`. This will install the gem in your ChefDK installation. If you want to use it outside Chef, run `gem install sambot`. Run `chef exec sambot` to be shown the help menu. For help on specific commands, i.e. cookbook management and specific cookbook management commands, run `chef exec sambot help cookbook` or `chef exec sambot cookbook help generate` for example. ## Contributing Bug reports and pull requests are welcome on GitHub at https://github.exacttarget.com/ads-devops/sambot. ### Installation Make sure you have `ruby >= 2.4.0` installed. Install `bundler >= 1.15.1` by running `gem install bundler` Run `bundle install` from the root of the project to install the required Ruby gems. ### Running Sambot If you want to test your changes locally, you can run `bundle exec bin/sambot`. ### Running Tests Run `bundle exec rspec spec` to execute the unit tests. Run `cd integration_tests && bundle exec rspec .` to execute the integration tests. These require that you have Docker Compose available. ### Linting There is nothing here yet

バージョン履歴:

  1. 0.1.229 - August 14, 2017 (3.21MB)
  2. 0.1.228 - August 10, 2017 (3.21MB)
  3. 0.1.227 - August 09, 2017 (3.21MB)
  4. 0.1.226 - August 09, 2017 (3.21MB)
  5. 0.1.225 - August 09, 2017 (3.21MB)
全てのバージョンを表示 (全214項目)

Development依存性 (7):

  • bundler >= 0
  • fuubar >= 0
  • gem-release ~> 1.0
  • pry >= 0
  • rake ~> 10.0
  • rspec ~> 3.0
  • rubocop ~> 0.49
  • オーナー:

    作者:

    • Olivier Kouame

    SHA 256チェックサム:

    7c51cd2c40f06e91694d0cdb3feefe8d1bcbb05ecf88f9c7a8551c951b5e52f8

    累計ダウンロード数 84,891

    現行バージョン 783

    Gemfile:
    = クリップボードにコピー コピー完了!

    インストール:
    =

    ライセンス:

    MIT

    必要Rubyバージョン: >= 0

    リンク集: